## org.apache.axis
Class FaultableHandler

    java.lang.Object
      |
      +--org.apache.axis.handlers.BasicHandler
            |
            +--org.apache.axis.FaultableHandler

All Implemented Interfaces:
  Handler, java.io.Serializable

public class FaultableHandler
extends BasicHandler

A `FaultableHandler` is essentially a wrapper for any other Handler which provides flexible fault handling semantics.

Author:
  Doug Davis (dug@us.ibm.com), Glen Daniels (gdaniels@macromedia.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` `entLog`
`protected static org.apache.commons.logging.Log` `log`
`protected Handler` `workHandler`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`FaultableHandler(Handler workHandler)` Constructor

Method Summary
`boolean` `canHandleBlock(QName qname)` Can this Handler process this QName?
`void` `cleanup()` Cleanup is called when the chain containing this Handler object is done processing the chain.
`void` `init()` Stubbed-out methods.
`void` `invoke(MessageContext msgContext)` Invokes the specified handler.
`void` `onFault(MessageContext msgContext)` Some handler later on has faulted so we need to process the fault.

Methods inherited from class org.apache.axis.handlers.BasicHandler
`generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, initHashtable, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### entLog

    protected static org.apache.commons.logging.Log entLog

### workHandler

    protected Handler workHandler

Constructor Detail

### FaultableHandler

    public FaultableHandler(Handler workHandler)

  Constructor

Parameters:
  `workHandler` - the Handler we're going to wrap with Fault semantics.

Method Detail

### init

    public void init()

  Description copied from class: `BasicHandler`
  Stubbed-out methods. Override in your child class to implement any real behavior.

  Specified by:
    `init` in interface `Handler`
  Overrides:
    `init` in class `BasicHandler`

### cleanup

    public void cleanup()

  Description copied from interface: `Handler`
  Cleanup is called when the chain containing this Handler object is done processing the chain.

  Specified by:
    `cleanup` in interface `Handler`
  Overrides:
    `cleanup` in class `BasicHandler`

### invoke

    public void invoke(MessageContext msgContext)
                throws AxisFault

  Invokes the specified handler. If there's a fault the appropriate key will be calculated and used to find the fault chain to be invoked. This assumes that the workHandler has caught the exception and already done its fault processing - as needed.

  Specified by:
    `invoke` in interface `Handler`
  Specified by:
    `invoke` in class `BasicHandler`
    `AxisFault`

### onFault

    public void onFault(MessageContext msgContext)

  Some handler later on has faulted so we need to process the fault.

  Specified by:
    `onFault` in interface `Handler`
  Overrides:
    `onFault` in class `BasicHandler`

### canHandleBlock

    public boolean canHandleBlock(QName qname)

  Description copied from interface: `Handler`
  Can this Handler process this QName?

  Specified by:
    `canHandleBlock` in interface `Handler`
  Overrides:
    `canHandleBlock` in class `BasicHandler`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.